

<div class="row col-md-2 col-md-offset-5">

    <div class="panel" style="width:300px; margin-top:150px">
        <form name="myForm" novalidate ng-submit="addNewUser(newUser, myForm.$valid)">
            <div class="well">
                <div class="form-group">

                    <input name="userFirstName" type="text" class="form-control" ng-model="newUser.name" placeholder="Name" required>
                    <div class="error" ng-show="showError">
                        {{getError(myForm.userLogin.$error)}}
                    </div>
                </div>

                <div class="form-group">

                    <input name="userSecondName" type="text" class="form-control" ng-model="newUser.secondName" placeholder="Full name" required>
                    <div class="error" ng-show="showError">
                        {{getError(myForm.userLogin.$error)}}
                    </div>
                </div>

                <div class="form-group">

                    <input name="userEmail" type="email" class="form-control" ng-model="newUser.email" placeholder="E-mail" required>
                    <div class="error" ng-show="showError">
                        {{getError(myForm.userEmail.$error)}}
                    </div>
                </div>

                <div class="form-group">

                    <input name="userPassword" type="password" class="form-control" ng-model="newUser.password" placeholder="Password" required>
                    <div class="error" ng-show="showError">
                        {{getError(myForm.userPassword.$error)}}
                    </div>
                </div>

                <div class="form-group">

                    <input name="userPassword" type="password" class="form-control" ng-model="newUser.password" placeholder="Password" required>
                    <div class="error" ng-show="showError">
                        {{getError(myForm.userPassword.$error)}}
                    </div>
                </div>
                <button type="submit" ng-click="clickHandler()" class="btn btn-primary btn-block" style="background-color: palevioletred; border-radius: 20px">OK</button>
            </div>

            <div class="well">
                Message: {{message}}
                <div>
                    Valid:
                    <span class="summary" ng-class="myForm.$valid ? 'ng-valid' : 'ng-invalid'">{{myForm.$valid}}</span>
                </div>
            </div>
        </form>
    </div>

</div>